package common.block.artificial;

import common.block.Block;
import common.block.Material;
import common.block.SoundType;
import common.init.MetalType;
import common.item.CheatTab;
import common.item.Item;
import common.item.block.ItemMetalBlock;

public class BlockMetalBlock extends Block {
	private final MetalType metal;
	
	public BlockMetalBlock(MetalType metal) {
		super(Material.SOLID);
		this.metal = metal;
		this.setStepSound(SoundType.STONE);
		this.setLightLevel(metal.radioactivity > 0.0F ? 0.25F : 0.0F);
		this.setRadiation(metal.radioactivity * 2.0f);
		this.setTab(CheatTab.GEMS);
	}
	
	public MetalType getMetal() {
		return this.metal;
	}

	protected Item getItemToRegister() {
		return new ItemMetalBlock(this);
	}
}
